<?php
/**
 * Arquivo de configuração do retorno CNAB240
 * OBS. Sugerimos que copie o arquivo da pasta raiz, leve para pasta onde mantem suas configurações ex.: compose/common e faça o mapeamento em seu arquivo docker-compose.prod.yml
 */
return [
    'returnCode' => [ // Array com códigos de retorno BB
        'positive' =>[ //<= códigos de retornos positivos
            '00' => 'Este código indica que o pagamento foi confirmado',
            '03' => 'Débito Autorizado pela Agência - Efetuado',
            'BD' => 'Inclusão Efetuada com Sucesso',
            'BE' => 'Alteração Efetuada com Sucesso',
            'BF' => 'Exclusão Efetuada com Sucesso',
            'BN' => 'Operação de Consignação Incluída com Sucesso',
            'BO' => 'Operação de Consignação Alterada com Sucesso',
            'BP' => 'Operação de Consignação Excluída com Sucesso',
            'BQ' => 'Operação de Consignação Liquidada com Sucesso',
            'BR' => 'Reativação Efetuada com Sucesso',
            'BS' => 'Suspensão Efetuada com Sucesso',
            'ZC' => 'Confirmação de Antecipação de Valor',
            'ZD' => 'Antecipação parcial de valor',
        ],
        'negative'=> [//<= códigos de retornos negativos
            'IR' => 'Não averbação de contrato – quantidade de parcelas/competências informadas ultrapassou a data limite da extinção de cota do dependente titular de benefícios',
            '01' => 'Insuficiência de Fundos - Débito Não Efetuado',
            '02' => 'Crédito ou Débito Cancelado pelo Pagador/Credor',
            'AA' => 'Controle Inválido',
            'AB' => 'Tipo de Operação Inválido',
            'AC' => 'Tipo de Serviço Inválido',
            'AD' => 'Forma de Lançamento Inválida',
            'AE' => 'Tipo/Número de Inscrição Inválido',
            'AF' => 'Código de Convênio Inválido',
            'AG' => 'Agência/Conta Corrente/DV Inválido',
            'AH' => 'No Seqüencial do Registro no Lote Inválido',
            'AI' => 'Código de Segmento de Detalhe Inválido',
            'AJ' => 'Tipo de Movimento Inválido',
            'AK' => 'Código da Câmara de Compensação do Banco Favorecido/Depositário Inválido',
            'AL' => 'Código do Banco Favorecido ou Depositário Inválido',
            'AM' => 'Agência Mantenedora da Conta Corrente do Favorecido Inválida',
            'AN' => 'Conta Corrente/DV do Favorecido Inválido',
            'AO' => 'Nome do Favorecido Não Informado',
            'AP' => 'Data Lançamento Inválido',
            'AQ' => 'Tipo/Quantidade da Moeda Inválido',
            'AR' => 'Valor do Lançamento Inválido',
            'AS' => 'Aviso ao Favorecido - Identificação Inválida',
            'AT' => 'Tipo/Número de Inscrição do Favorecido Inválido',
            'AU' => 'Logradouro do Favorecido Não Informado',
            'AV' => 'No do Local do Favorecido Não Informado',
            'AW' => 'Cidade do Favorecido Não Informada',
            'AX' => 'CEP/Complemento do Favorecido Inválido',
            'AY' => 'Sigla do Estado do Favorecido Inválida',
            'AZ' => 'Código/Nome do Banco Depositário Inválido',
            'BA' => 'Código/Nome da Agência Depositária Não Informado',
            'BB' => 'Seu Número Inválido',
            'BC' => 'Nosso Número Inválido',
            'BG' => 'Agência/Conta Impedida Legalmente',
            'BH' => 'Empresa não pagou salário',
            'BI' => 'Falecimento do mutuário',
            'BK' => 'Empresa não enviou remessa no vencimento',
            'BL' => 'Valor da parcela inválida',
            'BM' => 'Identificação do contrato inválida',
            'CA' => 'Código de Barras - Código do Banco Inválido',
            'CB' => 'Código de Barras - Código da Moeda Inválido',
            'CC' => 'Código de Barras - Dígito Verificador Geral Inválido',
            'CD' => 'Código de Barras - Valor do Título Inválido',
            'CE' => 'Código de Barras - Campo Livre Inválido',
            'CF' => 'Valor do Documento Inválido',
            'CG' => 'Valor do Abatimento Inválido',
            'CH' => 'Valor do Desconto Inválido',
            'CI' => 'Valor de Mora Inválido',
            'CJ' => 'Valor da Multa Inválido',
            'CK' => 'Valor do IR Inválido',
            'CL' => 'Valor do ISS Inválido',
            'CM' => 'Valor do IOF Inválido',
            'CN' => 'Valor de Outras Deduções Inválido',
            'CO' => 'Valor de Outros Acréscimos Inválido',
            'CP' => 'Valor do INSS Inválido',
            'HA' => 'Lote Não Aceito',
            'HB' => 'Inscrição da Empresa Inválida para o Contrato',
            'HC' => 'Convênio com a Empresa Inexistente/Inválido para o Contrato',
            'HD' => 'Agência/Conta Corrente da Empresa Inexistente/Inválido para o Contrato',
            'HE' => 'Tipo de Serviço Inválido para o Contrato',
            'HF' => 'Conta Corrente da Empresa com Saldo Insuficiente',
            'HG' => 'Lote de Serviço Fora de Seqüência',
            'HH' => 'Lote de Serviço Inválido',
            'HI' => 'Arquivo não aceito',
            'HJ' => 'Tipo de Registro Inválido',
            'HK' => 'Código Remessa / Retorno Inválido',
            'HL' => 'Versão de layout inválida',
            'HM' => 'Mutuário não identificado',
            'HN' => 'Tipo do beneficio não permite empréstimo',
            'HO' => 'Beneficio cessado/suspenso',
            'HP' => 'Beneficio possui representante legal',
            'HQ' => 'Beneficio é do tipo PA (Pensão alimentícia)',
            'HR' => 'Quantidade de contratos permitida excedida',
            'HS' => 'Beneficio não pertence ao Banco informado',
            'HT' => 'Início do desconto informado já ultrapassado',
            'HU' => 'Número da parcela inválida',
            'HV' => 'Quantidade de parcela inválida',
            'HW' => 'Margem consignável excedida para o mutuário dentro do prazo do contrato',
            'HX' => 'Empréstimo já cadastrado',
            'HY' => 'Empréstimo inexistente',
            'HZ' => 'Empréstimo já encerrado',
            'H1' => 'Arquivo sem trailer',
            'H2' => 'Mutuário sem crédito na competência',
            'H3' => 'Não descontado – outros motivos',
            'H4' => 'Retorno de Crédito não pago',
            'H5' => 'Cancelamento de empréstimo retroativo',
            'H6' => 'Outros Motivos de Glosa',
            'H7' => 'Margem consignável excedida para o mutuário acima do prazo do contrato',
            'H8' => 'Mutuário desligado do empregador',
            'H9' => 'Mutuário afastado por licença',
            'IA' => 'Primeiro nome do mutuário diferente do primeiro nome do movimento do censo ou diferente da base de Titular do Benefício',
            'IB' => 'Benefício suspenso/cessado pela APS ou Sisobi',
            'IC' => 'Benefício suspenso por dependência de cálculo',
            'ID' => 'Benefício suspenso/cessado pela inspetoria/auditoria',
            'IE' => 'Benefício bloqueado para empréstimo pelo beneficiário',
            'IF' => 'Benefício bloqueado para empréstimo por TBM',
            'IG' => 'Benefício está em fase de concessão de PA ou desdobramento',
            'IH' => 'Benefício cessado por óbito',
            'II' => 'Benefício cessado por fraude',
            'IJ' => 'Benefício cessado por concessão de outro benefício',
            'IK' => 'Benefício cessado: estatutário transferido para órgão de origem',
            'IL' => 'Empréstimo suspenso pela APS',
            'IM' => 'Empréstimo cancelado pelo banco',
            'IN' => 'Crédito transformado em PAB',
            'IO' => 'Término da consignação foi alterado',
            'IP' => 'Fim do empréstimo ocorreu durante período de suspensão ou concessão',
            'IQ' => 'Empréstimo suspenso pelo banco',
            'TA' => 'Lote Não Aceito - Totais do Lote com Diferença',
            'YA' => 'Título Não Encontrado',
            'YB' => 'Identificador Registro Opcional Inválido',
            'YC' => 'Código Padrão Inválido',
            'YD' => 'Código de Ocorrência Inválido',
            'YE' => 'Complemento de Ocorrência Inválido',
            'YF' => 'Alegação já Informada',
            'ZA' => 'Agência / Conta do Favorecido Substituída Observação: As ocorrências iniciadas com ZA tem caráter informativo para o cliente',
            'ZB' => 'Divergência entre o primeiro e último nome do beneficiário versus primeiro e último nome na Receita Federal',
            'ZE' => 'Título bloqueado na base',
            'ZF' => 'Sistema em contingência – título valor maior que referência',
            'ZG' => 'Sistema em contingência – título vencido',
            'ZH' => 'Sistema em contingência – título indexado',
            'ZI' => 'Beneficiário divergente',
            'ZJ' => 'Limite de pagamentos parciais excedido',
            'ZK' => 'Boleto já liquidado',
        ],
    ],
    'configs' => [
        'opportunitys' => [//<= inserir aqui, as oportunidades que devem executar o retorno do CNAB240 conforme exemplo a seguir('field_id do campo CPF ou CNPJ' => id_oportunidade)
            '21' => 1
        ] 
    ]
];